registercheckby openlaw group
API referenceMonitors

Retrieve a monitor

GET
/monitors/{monitor_id}

Free.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_prod_….

In: header

Path Parameters

monitor_id*string

The monitor's id. A raw UUID, or the 27-character id of a monitor created before ids were UUIDs, is still accepted until 2026-12-31.

Match^mon_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.registercheck.de/v1/monitors/mon_3wksk7jx1583f98jz0fz0zj2q7" \  -H "Authorization: Bearer $REGISTERCHECK_API_KEY"
{  "object": "monitor",  "id": "mon_3wksk7jx1583f98jz0fz0zj2q7",  "subject": {    "object": "company",    "id": "cmp_01hxn3rys1fh58w4d1pb1x9s81",    "name": "Beispiel Reisen GmbH"  },  "event_types": [    "company.capital.changed",    "company.role.added",    "company.role.removed",    "company.representation_rule.changed"  ],  "unavailable_event_types": [],  "status": "active",  "metadata": {    "crm_id": "0015g00000XyZ"  },  "check_schedule": "daily",  "next_check_at": "2024-05-22T05:00:00Z",  "paused_at": null,  "counts_toward_limit": true,  "created_at": "2024-05-21T07:55:12Z",  "updated_at": "2024-05-21T07:55:12Z"}